/*
 * $Id: extern.h,v 0.91 1994/02/20 00:53:35 zhao Pre-Release $
 *
 *. This file is part of BIT shareware package. After the two weeks of
 *  free evaluation period, you are encouraged (required) to register
 *  your copy for a small registration fee, which is $35 for personal use
 *  and $50 for commercial, government and institutional use.
 *
 *  Copyright(c) 1993, 1994 by T.C. Zhao.
 *  All rights reserved.
 *
 *  Permission to use, copy, and distribute this software in its entirety
 *  for non-commercial purposes is hereby granted, provided that the
 *  above shareware and copyright notices and this permission notice
 *  appear in all copies and their documentation.
 *
 *  This software may be modified for your own use, but modified versions
 *  may not be distributed without prior consent of the author.
 *
 *  This software is provided "as is" without expressed or implied
 *  warranty of any kind.
 *
 *.
 *
 * Externals mostly defined in global.h
 *
 */
#ifndef BIT_EXTERN_H
#define BIT_EXTERN_H
/*
 * how to identify images
 */
extern IMG_IO img_io[];
extern int totalfmt;
extern IPTR imgptr;
extern int totalwrite;
extern IMG_IO *wio[];

extern unsigned long background_color;
extern long win_id;

/* Screen size in pixels*/
extern int screen_xp, screen_yp;

/*
 * window size
 */
extern long win_w, win_h;
extern long win_xo, win_yo;
extern int double_buf;

/* Version info */
extern const char *p_version[];
extern const char *sver;

/*
 * various flags
 */
extern int report_level;
extern int percent_report;
extern int always_pan;
extern int always_delete;
extern int always_readscrn;
extern int preserve_wm_colors;
extern int always_border;
extern int always_clear;
extern int report_mouse;
extern int auto_ext;
extern int keepmisc;
extern int auto_position;
extern int crop_fill;
extern int auto_remove;
extern int form_single;
extern int halftone_method;
extern int quant_method;
extern int showedit;
extern float g_zoomx, g_zoomy;
extern int display_style;
extern int over_pup_colors;
extern int auto_remove_thumbnail;
extern int verbose;
extern int slideshow;
extern int full_win;
extern int no_panel;
extern int no_clockmail;
extern int abort_change_ask;
extern int simu_dbl_buffer;
extern int simu_op_dblbuf;
extern int show_cut_buffer;
extern int monitoring;
extern int smooth_lines;
extern int pezx, pezy;		/* magfactor in pixel edit */
extern int slide_pause_index;
extern const char *hexdigits;
extern char helppath[], bitpath[], startdir[], tmppath[];
extern int ps_res_index;
extern int fit_image_size;
extern int run_in_background;
extern const char *cmpldate;

extern const char *mfailed, *bugquit, *badfarg, *outbound;
extern const char *sharewh, *dontforget, *unreg, *infofmt;

#endif
