/*
 * $Id: tsdef.h,v 0.91 1994/02/20 00:53:40 zhao Pre-Release $
 *
 *. This file is part of BIT shareware package. After the two weeks of
 *  free evaluation period, you are encouraged (required) to register
 *  your copy for a small registration fee, which is $35 for personal use
 *  and $50 for commercial, government and institutional use.
 *
 *  Copyright(c) 1993, 1994 by T.C. Zhao.
 *  All rights reserved.
 *
 *  Permission to use, copy, and distribute this software in its entirety
 *  for non-commercial purposes is hereby granted, provided that the
 *  above shareware and copyright notices and this permission notice
 *  appear in all copies and their documentation.
 *
 *  This software may be modified for your own use, but modified versions
 *  may not be distributed without prior consent of the author.
 *
 *  This software is provided "as is" without expressed or implied
 *  warranty of any kind.
 *
 *.
 *
 * Structures used by ps.c and text.c
 *
 */
#ifndef TS_DEF_H
#define TS_DEF_H

typedef struct
  {
      char *str;		/* current token   */
      float size;		/* requested size  */
      short isize;		/* index           */
      short math;		/* if symbol fonts */
  }
Token;

#define MAXTOK 30		/* tokens per line */
typedef struct
  {
      int ntokens;
      Token token[MAXTOK];
#if 0
      const char *fontname;
#endif
  }
Line;

/* o left 1 center 2 right */
enum
  {
      TLEFT, TCENTER, TRIGHT
  };

extern Line *get_text_line(int);

#endif
