/************************************************************************
 * $Id: bsearch.c,v 0.80 1994/02/24 09:48:11 zhao Exp $
 *
 *.  Copyright(c) 1993,1994 by T.C. Zhao
 *   All rights reserved.
 *.
 * Performs binary seach on an ordered array
 ************************************************************************/
#if !defined(lint) && defined(F_ID)
char *id_bsrch = "$Id: bsearch.c,v 0.80 1994/02/24 09:48:11 zhao Exp $";
#endif

#include <stdio.h>
#include "ulib.h"

int
b_search(register float *x, int n, register float xx)
{
    register int low = 0, hi = n, mid;

    if (xx < x[0] || xx > x[n - 1])
	return -1;

    while ((hi - low) > 1)
      {
	  mid = (hi + low) / 2;
	  if (xx > x[mid])
	      low = mid;
	  else
	      hi = mid;
      }
    return low;
}
