/***********************************************************************
 * $Id: space.c,v 0.80 1994/02/24 09:48:11 zhao Exp $
 *
 *.  Copyright(c) 1993,1994 by T.C. Zhao
 *   All rights reserved.
 *.
 *
 *    Remove space or tab from a string
 *
 ***********************************************************************/
#if !defined(lint) && defined(F_OK)
char *id_space = "$Id: space.c,v 0.80 1994/02/24 09:48:11 zhao Exp $";
#endif

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "ulib.h"

/******* Remove leading space *********/
char *
de_space(char *s)
{
    register char *p = s;

    if (!s || !*s)
	return s;

    while (isspace(*p))
	p++;
    return (p == s) ? s : strcpy(s, p);
}

/******* remove trailing space *********/
char *
space_de(register char *s)
{
    register char *p;

    if (!s || !*s)
	return s;

    p = s + strlen(s) - 1;
    while (p >= s && isspace(*p))
	p--;
    *++p = '\0';
    return s;
}

/***** remove space from both ends *******/
char *
de_space_de(char *p)
{
    return (space_de(de_space(p)));
}
